Skip to main content
`Ctrl`+`K`

# frucht_graph

frucht_graph(create_using=None)

  Returns the Frucht Graph.

  The Frucht Graph is the smallest cubical graph whose automorphism group consists only of the identity element [1]. It has 12 nodes and 18 edges and no nontrivial symmetries. It is planar and Hamiltonian [2].

  Parameters:
    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

  Returns:
    G networkx Graph

      Frucht Graph with 12 nodes and 18 edges

  References

  [1]

  https://en.wikipedia.org/wiki/Frucht_graph

  [2]

  https://mathworld.wolfram.com/FruchtGraph.html